## class OSGUTIL_EXPORT osgUtil::IntersectVisitor

> Basic visitor for ray based collisions of a scene

## Inheritance:

### Public Methods

IntersectVisitor()
virtual ~IntersectVisitor()
void reset()
void addLineSegment(osg::LineSegment* seg)
  Add a line segment to use for intersection testing during scene traversal
HitList& getHitList(osg::LineSegment* seg)
int getNumHits(osg::LineSegment* seg)
bool hits()
virtual void apply(osg::Node&)
virtual void apply(osg::Geode& node)
virtual void apply(osg::Billboard& node)
virtual void apply(osg::Group& node)
virtual void apply(osg::Transform& node)
virtual void apply(osg::Switch& node)
virtual void apply(osg::LOD& node)

### Public Members

typedef std::vector<Hit> HitList
typedef std::map<osg::LineSegment*,HitList > LineSegmentHitListMap

### Protected Fields

IntersectStateStack _intersectStateStack
osg::NodePath _nodePath
LineSegmentHitListMap _segHitList

### Protected Methods

bool intersect(osg::Drawable& gset)
void pushMatrix(const osg::Matrix& matrix)
void popMatrix()
bool enterNode(osg::Node& node)
void leaveNode()

### Protected Members

class IntersectState: public osg::Referenced
typedef std::vector<osg::ref_ptr<IntersectState> > IntersectStateStack

## Documentation

> Basic visitor for ray based collisions of a scene

`IntersectVisitor()`

`virtual ~IntersectVisitor()`

`void reset()`

`void addLineSegment(osg::LineSegment* seg)`
  Add a line segment to use for intersection testing during scene traversal

`typedef std::vector<Hit> HitList`

`typedef std::map<osg::LineSegment*,HitList > LineSegmentHitListMap`

`HitList& getHitList(osg::LineSegment* seg)`

`int getNumHits(osg::LineSegment* seg)`

`bool hits()`

`virtual void apply(osg::Node&)`

`virtual void apply(osg::Geode& node)`

`virtual void apply(osg::Billboard& node)`

`virtual void apply(osg::Group& node)`

`virtual void apply(osg::Transform& node)`

`virtual void apply(osg::Switch& node)`

`virtual void apply(osg::LOD& node)`

`bool intersect(osg::Drawable& gset)`

`void pushMatrix(const osg::Matrix& matrix)`

`void popMatrix()`

`bool enterNode(osg::Node& node)`

`void leaveNode()`

`typedef std::vector<osg::ref_ptr<IntersectState> > IntersectStateStack`

`IntersectStateStack _intersectStateStack`

`osg::NodePath _nodePath`

`LineSegmentHitListMap _segHitList`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.